Name:		sqlworkbench_j
Version:	122
Release:	%mkrel 1
License:	Apache
Packager:       Agent Smith (ruidobranco@yahoo.com.br)
Group:		Databases
URL:		http://www.sql-workbench.net/
Source:		%{name}-%{version}.tar.xz
Source1:	workbench32.png
Summary:	SQL query tool
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	java
Obsoletes:	%name < %version
AutoReqProv:    no

%description

SQL Workbench/J is a free, DBMS-independent, cross-platform SQL query
tool. It is written in Java and thus it should run on any operating system
that provides a Java Runtime Environment.

The drivers are located in /usr/share/sqlworkbench_j/drivers

%prep

%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}

cp -arv $RPM_BUILD_DIR/%{name}-%{version}/* %{buildroot}%{_datadir}/%{name}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
java -jar sqlworkbench.jar
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/workbench32.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=workbench32.png
Type=Application
Terminal=false
Name=SQL Workbench/J
GenericName=SQL Workbench/J
Comment=%{summary}
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Databases;
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files

%_bindir/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/workbench32.png
%{_datadir}/applications/%{name}.desktop



%changelog
* Mon Feb 02 2015  Agent Smith <ruidobranco@yahoo.com.br> 122-1pclos2017
- Updated to the latest version, updated the drivers, improved spec, added MariaDB driver. 

* Mon Feb 02 2015  Agent Smith <ruidobranco@yahoo.com.br> 117-1pclos2015
- Updated to the latest version, corrected the license. 

* Mon Dec 30 2013  Agent Smith <ruidobranco@yahoo.com.br> 115-1pclos2014
- Updated to the latest version.

* Fri Aug 23 2013  Agent Smith <ruidobranco@yahoo.com.br> 114-1pclos2013
- Updated to the latest version.

* Fri Nov 16 2012  Agent Smith <ruidobranco@yahoo.com.br> 113-2pclos2012
- Updated the license description of the provided drivers.

* Fri Nov 09 2012  Agent Smith <ruidobranco@yahoo.com.br> 113-1pclos2012
- Created package sql workbench/j
